GNU bug report logs - #16155
electric indent gripes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: rms@HIDDEN; merged with #16156; dated Sun, 15 Dec 2013 11:49:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Dec 2013 16:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 25 11:55:00 2013
Received: from localhost ([127.0.0.1]:41568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvrjX-0004Ym-Uq
	for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 11:55:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38480)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VvrjU-0004YW-GN
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 11:54:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvrjK-0002L0-7o
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 11:54:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60096)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvrjK-0002Kw-5Q
 for submit <at> debbugs.gnu.org; Wed, 25 Dec 2013 11:54:46 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40184)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvrjC-0003An-3Z
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 11:54:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vvrj2-0002Io-RR
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 11:54:37 -0500
Received: from moderators.individual.net ([130.133.4.7]:43040)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vvrj2-0002IE-Lr
 for bug-gnu-emacs@HIDDEN; Wed, 25 Dec 2013 11:54:28 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20])
 by moderators.individual.net (Exim 4.82)
 for gnu-emacs-bug@HIDDEN with esmtp
 (envelope-from <monnier@HIDDEN>)
 id <1Vvrj1-001Y85-Oo>; Wed, 25 Dec 2013 17:54:28 +0100
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id rBPGs7K8006704;
 Wed, 25 Dec 2013 11:54:12 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 8C322AE0E9; Wed, 25 Dec 2013 11:54:04 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
Message-ID: <jwv38lgzxdz.fsf-monnier+emacsbugs@HIDDEN>
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
 <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
 <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
 <jwvwqiw8e1h.fsf-monnier+emacsbugs@HIDDEN>
 <E1VvIdq-0006lQ-E2@HIDDEN>
 <jwv4n5y6g2p.fsf-monnier+emacsbugs@HIDDEN>
 <alpine.BSF.2.00.1312250035430.84237@HIDDEN>
Date: Wed, 25 Dec 2013 11:54:04 -0500
In-Reply-To: <alpine.BSF.2.00.1312250035430.84237@HIDDEN> (Alan
 Mackenzie's message of "Wed, 25 Dec 2013 00:49:32 +0100 (CET)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4802=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4802> : inlines <357> : streams
 <1096870> : uri <1634798>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, josh@HIDDEN,
 Richard Stallman <rms@HIDDEN>, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

>>> Are those programming modes?  Maybe you're right for programming modes,
>>> but you made the change for Text modes too.
>> I'm not sure if/why there should be a difference.  Maybe the behavior
>> needs to be adjusted for text-mode (i.e. for the case where
>> indent-line-function is `indent-relative'), but I don't think it applies
>> to all text modes (e.g. latex-mode, nxml-mode, ...).
> There is a difference.

Care to explain which?
Oh wait, better yet: first fix your bug (i.e. that cc-mode ignores
electric-indent-mode), and then come back and "explain which".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2013 23:50:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 24 18:50:05 2013
Received: from localhost ([127.0.0.1]:39916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vvbjh-0003C8-2c
	for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 18:50:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46949)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1Vvbjc-0003Bb-Ja
 for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 18:50:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <acm@HIDDEN>) id 1VvbjS-000581-Rf
 for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 18:50:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55621)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <acm@HIDDEN>)
 id 1VvbjS-00057w-OS
 for submit <at> debbugs.gnu.org; Tue, 24 Dec 2013 18:49:50 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48659)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <acm@HIDDEN>)
 id 1VvbjL-0006ph-3F
 for bug-gnu-emacs@HIDDEN; Tue, 24 Dec 2013 18:49:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <acm@HIDDEN>) id 1VvbjD-00057C-Ht
 for bug-gnu-emacs@HIDDEN; Tue, 24 Dec 2013 18:49:43 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:51806 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <acm@HIDDEN>)
 id 1VvbjD-000577-E2
 for bug-gnu-emacs@HIDDEN; Tue, 24 Dec 2013 18:49:35 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 7CA4D1EE6A; Tue, 24 Dec 2013 18:49:34 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from mail.muc.de (colin.muc.de [193.149.48.1])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 1A16F1EDF7
 for <gnu-emacs-bug@HIDDEN>; Tue, 24 Dec 2013 18:49:33 -0500 (EST)
Received: (qmail 37943 invoked by uid 3782); 24 Dec 2013 23:49:32 -0000
Date: Wed, 25 Dec 2013 00:49:32 +0100 (CET)
From: Alan Mackenzie <acm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
In-Reply-To: <jwv4n5y6g2p.fsf-monnier+emacsbugs@HIDDEN>
Message-ID: <alpine.BSF.2.00.1312250035430.84237@HIDDEN>
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
 <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
 <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
 <jwvwqiw8e1h.fsf-monnier+emacsbugs@HIDDEN>
 <E1VvIdq-0006lQ-E2@HIDDEN>
 <jwv4n5y6g2p.fsf-monnier+emacsbugs@HIDDEN>
User-Agent: Alpine 2.00 (BSF 1167 2008-08-23)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, josh@HIDDEN,
 Richard Stallman <rms@HIDDEN>, drew.adams@HIDDEN, acm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)



On Mon, 23 Dec 2013, Stefan Monnier wrote:

>> Are those programming modes?  Maybe you're right for programming modes,
>> but you made the change for Text modes too.

> I'm not sure if/why there should be a difference.  Maybe the behavior
> needs to be adjusted for text-mode (i.e. for the case where
> indent-line-function is `indent-relative'), but I don't think it applies
> to all text modes (e.g. latex-mode, nxml-mode, ...).

There is a difference.  I think this change (which to be explicit, is the
swapping of the actions of the key bindings RET and C-j) should be made 
for programming modes only right now.  Or possibly with certain specific 
other modes which are "like" programming modes.  But in text-mode, RET 
should not indent and C-j should (regardless of what a user 
may have installed on indent-line-function).  If there is demand for 
this swap in other modes, we can always add it later.

>        Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2013 04:17:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 23 23:17:28 2013
Received: from localhost ([127.0.0.1]:37334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvJQu-0003Mx-4f
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 23:17:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58584)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VvJQs-0003Mp-6P
 for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 23:17:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvJQi-0008Um-IH
 for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 23:17:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55604)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvJQi-0008UX-Es
 for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 23:17:16 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60169)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvJQY-0006V3-TY
 for bug-gnu-emacs@HIDDEN; Mon, 23 Dec 2013 23:17:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvJQP-0008H4-9e
 for bug-gnu-emacs@HIDDEN; Mon, 23 Dec 2013 23:17:06 -0500
Received: from four.schnuerpel.eu ([2a01:4f8:120:9382::145]:36405)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VvJQP-0008Gi-2p
 for bug-gnu-emacs@HIDDEN; Mon, 23 Dec 2013 23:16:57 -0500
Received: from pruche.dit.umontreal.ca (pruche.dit.umontreal.ca
 [132.204.246.22])
 by moderators.schnuerpel.eu (Postfix) with ESMTP id 63C70803
 for <gnu-emacs-bug@HIDDEN>; Tue, 24 Dec 2013 05:16:55 +0100 (CET)
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id rBO4Gm7C022109;
 Mon, 23 Dec 2013 23:16:49 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 5C3F5AE21D; Mon, 23 Dec 2013 23:16:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
Message-ID: <jwv4n5y6g2p.fsf-monnier+emacsbugs@HIDDEN>
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
 <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
 <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
 <jwvwqiw8e1h.fsf-monnier+emacsbugs@HIDDEN>
 <E1VvIdq-0006lQ-E2@HIDDEN>
Date: Mon, 23 Dec 2013 23:16:48 -0500
In-Reply-To: <E1VvIdq-0006lQ-E2@HIDDEN> (Richard Stallman's message
 of "Mon, 23 Dec 2013 22:26:46 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4801=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4801> : inlines <355> : streams
 <1096058> : uri <1633440>
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, josh@HIDDEN, drew.adams@HIDDEN,
 acm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

> Are those programming modes?  Maybe you're right for programming modes,
> but you made the change for Text modes too.

I'm not sure if/why there should be a difference.  Maybe the behavior
needs to be adjusted for text-mode (i.e. for the case where
indent-line-function is `indent-relative'), but I don't think it applies
to all text modes (e.g. latex-mode, nxml-mode, ...).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2013 03:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 23 22:26:56 2013
Received: from localhost ([127.0.0.1]:37254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VvIe0-0001oD-8G
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 22:26:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42010)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1VvIdx-0001nz-Hj
 for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 22:26:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VvIdw-000691-EA
 for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 22:26:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.5 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49484)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VvIdw-00068v-Au
 for submit <at> debbugs.gnu.org; Mon, 23 Dec 2013 22:26:52 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43705)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VvIdv-0005eq-EZ
 for bug-gnu-emacs@HIDDEN; Mon, 23 Dec 2013 22:26:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VvIdu-00067s-LC
 for bug-gnu-emacs@HIDDEN; Mon, 23 Dec 2013 22:26:51 -0500
Received: from four.schnuerpel.eu ([2a01:4f8:120:9382::145]:45879)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VvIdu-00067Y-F5
 for bug-gnu-emacs@HIDDEN; Mon, 23 Dec 2013 22:26:50 -0500
Received: from fencepost.gnu.org (fencepost.gnu.org [IPv6:2001:4830:134:3::e])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by four.schnuerpel.eu (Postfix) with ESMTPS id 5EFD6803
 for <gnu-emacs-bug@HIDDEN>; Tue, 24 Dec 2013 04:26:49 +0100 (CET)
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1VvIdq-0006lQ-E2; Mon, 23 Dec 2013 22:26:46 -0500
Date: Mon, 23 Dec 2013 22:26:46 -0500
Message-Id: <E1VvIdq-0006lQ-E2@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwvwqiw8e1h.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Sun, 22 Dec 2013 22:07:26 -0500)
Subject: Re: bug#16155: 24.3.50;
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
 <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
 <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
 <jwvwqiw8e1h.fsf-monnier+emacsbugs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, josh@HIDDEN, drew.adams@HIDDEN,
 acm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    My current decision is largely based on the fact that most/all major
    modes providing some kind of "electric indent" behavior have
    traditionally enabled it by default, and very few users have complained
    about it, even when it was difficult to disable.

Are those programming modes?  Maybe you're right for programming modes,
but you made the change for Text modes too.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Dec 2013 03:08:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 22 22:08:06 2013
Received: from localhost ([127.0.0.1]:35126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VuvsE-00041z-9e
	for submit <at> debbugs.gnu.org; Sun, 22 Dec 2013 22:08:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39595)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VuvsC-00041q-9q
 for submit <at> debbugs.gnu.org; Sun, 22 Dec 2013 22:08:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vuvs2-0002Uj-2j
 for submit <at> debbugs.gnu.org; Sun, 22 Dec 2013 22:08:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43702)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vuvs1-0002Uf-W4
 for submit <at> debbugs.gnu.org; Sun, 22 Dec 2013 22:07:54 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41310)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vuvrt-0007UJ-O5
 for bug-gnu-emacs@HIDDEN; Sun, 22 Dec 2013 22:07:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vuvrj-0002Ts-Tr
 for bug-gnu-emacs@HIDDEN; Sun, 22 Dec 2013 22:07:45 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:50695 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1Vuvrj-0002To-QJ
 for bug-gnu-emacs@HIDDEN; Sun, 22 Dec 2013 22:07:35 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 593821EE66; Sun, 22 Dec 2013 22:07:35 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from pruche.dit.umontreal.ca (pruche.dit.umontreal.ca
 [132.204.246.22])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 292F31EE63
 for <gnu-emacs-bug@HIDDEN>; Sun, 22 Dec 2013 22:07:35 -0500 (EST)
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id rBN37QjA010608;
 Sun, 22 Dec 2013 22:07:27 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id AF7C7AE25E; Sun, 22 Dec 2013 22:07:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
Message-ID: <jwvwqiw8e1h.fsf-monnier+emacsbugs@HIDDEN>
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
 <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
 <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
Date: Sun, 22 Dec 2013 22:07:26 -0500
In-Reply-To: <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
 (josh@HIDDEN's message of "Fri, 20 Dec 2013 21:01:38 -0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4800=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4800> : inlines <347> : streams
 <1095452> : uri <1632556>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, Alan Mackenzie <acm@HIDDEN>, rms@HIDDEN,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

If someone wants to setup a poll, please do so.

My current decision is largely based on the fact that most/all major
modes providing some kind of "electric indent" behavior have
traditionally enabled it by default, and very few users have complained
about it, even when it was difficult to disable.

Also, AFAIK many(most?) non-Emacs programming editors have a similar
feature enabled by default.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Dec 2013 05:02:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 21 00:02:31 2013
Received: from localhost ([127.0.0.1]:60687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VuEhr-0005W1-4o
	for submit <at> debbugs.gnu.org; Sat, 21 Dec 2013 00:02:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33509)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1VuEho-0005Vq-Cm
 for submit <at> debbugs.gnu.org; Sat, 21 Dec 2013 00:02:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1VuEhi-0001Nk-ND
 for submit <at> debbugs.gnu.org; Sat, 21 Dec 2013 00:02:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34743)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1VuEhi-0001NX-JT
 for submit <at> debbugs.gnu.org; Sat, 21 Dec 2013 00:02:22 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35187)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1VuEhd-00052d-Nr
 for bug-gnu-emacs@HIDDEN; Sat, 21 Dec 2013 00:02:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1VuEhY-0001K0-Sy
 for bug-gnu-emacs@HIDDEN; Sat, 21 Dec 2013 00:02:17 -0500
Received: from moderators.individual.net ([130.133.4.7]:44042)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1VuEhY-0001Jv-Md
 for bug-gnu-emacs@HIDDEN; Sat, 21 Dec 2013 00:02:12 -0500
Received: from mail-wi0-f182.google.com ([209.85.212.182])
 by moderators.individual.net (Exim 4.82)
 for gnu-emacs-bug@HIDDEN with esmtp
 (envelope-from <jlf@HIDDEN>)
 id <1VuEhY-0047oq-1V>; Sat, 21 Dec 2013 06:02:12 +0100
Received: by mail-wi0-f182.google.com with SMTP id en1so4524506wid.9
 for <gnu-emacs-bug@HIDDEN>; Fri, 20 Dec 2013 21:02:08 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=uZP5vfAuyFp1zvWCG8JptH6cRCnH/hXg05/6NC4Teh4=;
 b=NyVMX2WfoUrzdYj+8mnU3POhoiCw5WgtTJMQ6/09uUZZCBv+PXBXrgnCVQs5d9JMl2
 /ReB/4uVxge0aYXSdcN5js7i6jRcB74J3jxlpC4bsFkFyJsvc2Dd3ai14rqQSCvxI1m9
 Gb6C/0to22yBmuMHO5P18mnAyCQHpA2D4QlUVuet4dKCw0CYG1qHY7QrssO408jL86TS
 qS9rWpO6iYeb/9EgLJ9F1Al9I/BXTE2/XC3CovT4Z3UnNX3vcjd68B3Agn4iEfWX3dFy
 swnlHJVNCVRxK7uONRry6oMg4sTyUUFOyxij4HdBR+A9bqASFJJ0Rk8mOQHcxLJM9PXF
 Y8Vw==
X-Gm-Message-State: ALoCoQkDNEhIjARXz0LLfO1gmIUZ+ms1lu9//Z8YNZqzWt0qwJRVdwfgGF4YCsBxDuCkTyihAj9R
X-Received: by 10.194.21.225 with SMTP id y1mr1008872wje.60.1387602128708;
 Fri, 20 Dec 2013 21:02:08 -0800 (PST)
MIME-Version: 1.0
Received: by 10.194.24.7 with HTTP; Fri, 20 Dec 2013 21:01:38 -0800 (PST)
In-Reply-To: <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
 <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
From: Josh <josh@HIDDEN>
Date: Fri, 20 Dec 2013 21:01:38 -0800
X-Google-Sender-Auth: PHCBKsOK1OmAvWV1TGcWQgUjS48
Message-ID: <CANdFEAENYFLUCzO4mjXJiRaLMGxEVuitQraDCLZE4OumT8ACQA@HIDDEN>
Subject: RE: bug#16155: 24.3.50;
To: Drew Adams <drew.adams@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, Alan Mackenzie <acm@HIDDEN>, rms@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Dec 17, 2013 4:54 PM, "Drew Adams" <drew.adams@HIDDEN> wrote:
>
> > > And yet none of that data (however flakey or incomplete) was
> > > considered in deciding to make this change in default behavior.
> >
> > To be fair, this was debated at some length[0] and presumably
> > decided a couple of months ago, well before that data became
> > available.
> >
> > [0] https://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00407.html
>
> "To be fair", I already said that this was decided before
> that poll was taken.  That was the main point: it was decided
> without benefit of any poll or automatically gathered data.

Ah, I incorrectly concluded from the passage I quoted that you believed
that the decision had been made after the data had been collected.

> I feel somewhat more strongly that the process followed is
> not the best one (insufficient attention to users - and not
> just emacs-devel readers).

Decisions that are contrary to the majority opinion, whether it be of
contributors or users or both, don't bother me much when they're
transparent and driven by ethical, legal, or other considerations that
demand a particular course of action, for example Richard's decision
to stick with Bazaar by virtue of its status as a GNU project.  Often,
though, there is no such transparency and no overriding considerations
are stated, even upon request, and to me this unwillingness to
engage substantively with others during the process of making such
decisions suggests that our involvement is unwelcome.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 20:49:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 15:49:18 2013
Received: from localhost ([127.0.0.1]:59024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VtkX0-0002OE-Cp
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 15:49:18 -0500
Received: from colin.muc.de ([193.149.48.1]:12343 helo=mail.muc.de)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1VtkWx-0002O4-UN
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 15:49:16 -0500
Received: (qmail 28944 invoked by uid 3782); 19 Dec 2013 20:49:14 -0000
Received: from acm.muc.de (p5492C83B.dip0.t-ipconnect.de [84.146.200.59]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Thu, 19 Dec 2013 21:49:12 +0100
Received: (qmail 6182 invoked by uid 1000); 19 Dec 2013 20:46:27 -0000
Date: Thu, 19 Dec 2013 20:46:27 +0000
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#16155: Strange moderator address.  [Re: bug#16155: 24.3.50;]
Message-ID: <20131219204627.GC5181@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
 <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
 <20131219180251.GA5181@HIDDEN> <r67gb0hfr2.fsf@HIDDEN>
 <20131219195520.GB5181@HIDDEN> <x2wqj0k39m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <x2wqj0k39m.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 16155
Cc: Stefan Monnier <monnier@HIDDEN>, 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

Hi, Glenn.

On Thu, Dec 19, 2013 at 03:13:41PM -0500, Glenn Morris wrote:
> Alan Mackenzie wrote:

> > Perhaps the problem with usenet and debbugs, whatever it was, has been
> > resolved.

> I assure you it hasn't. It cannot be fixed. I have spent quite some time
> on this, so forgive me if I can't even be bothered to explain it any
> more.

OK.

> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=936

> Your ISP seems to inject postings in some wacky way that happens to work.
> As I said, they require extra moderation if nothing else.

I usually approve any posts I make to gnu.emacs.bugs myself.

> (And don't be surprised if the news/mail gateway breaks altogether
> at some point, as has often happened in the past.)

That won't surprise me at all.  :-(

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 20:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 15:13:45 2013
Received: from localhost ([127.0.0.1]:58978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vtjyb-0001Me-1F
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 15:13:45 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:36773)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VtjyY-0001MU-Jg
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 15:13:42 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VtjyX-00036F-9D; Thu, 19 Dec 2013 15:13:41 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#16155: Strange moderator address.  [Re: bug#16155: 24.3.50;]
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
 <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
 <20131219180251.GA5181@HIDDEN> <r67gb0hfr2.fsf@HIDDEN>
 <20131219195520.GB5181@HIDDEN>
X-Spook: Juiliett Class Submarine lynch TWA eavesdropping 22nd SAS
X-Ran: 6>l~[&DHe&4a]!A^z@zi;DZT#e1%LajD=N$n(|!$,92+BK-qSbXtdCEg0m>!dl<<!FP:/z
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 19 Dec 2013 15:13:41 -0500
In-Reply-To: <20131219195520.GB5181@HIDDEN> (Alan Mackenzie's message of
 "Thu, 19 Dec 2013 19:55:20 +0000")
Message-ID: <x2wqj0k39m.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 16155
Cc: Stefan Monnier <monnier@HIDDEN>, 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

Alan Mackenzie wrote:

> Perhaps the problem with usenet and debbugs, whatever it was, has been
> resolved.

I assure you it hasn't. It cannot be fixed. I have spent quite some time
on this, so forgive me if I can't even be bothered to explain it any
more.

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=936

Your ISP seems to inject postings in some wacky way that happens to work.
As I said, they require extra moderation if nothing else.
(And don't be surprised if the news/mail gateway breaks altogether
at some point, as has often happened in the past.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 19:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 14:58:18 2013
Received: from localhost ([127.0.0.1]:58967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vtjje-0000vC-3g
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 14:58:18 -0500
Received: from colin.muc.de ([193.149.48.1]:33819 helo=mail.muc.de)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1VtjjZ-0000uo-LZ
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 14:58:14 -0500
Received: (qmail 26178 invoked by uid 3782); 19 Dec 2013 19:58:11 -0000
Received: from acm.muc.de (p5492C83B.dip0.t-ipconnect.de [84.146.200.59]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Thu, 19 Dec 2013 20:58:10 +0100
Received: (qmail 5997 invoked by uid 1000); 19 Dec 2013 19:55:20 -0000
Date: Thu, 19 Dec 2013 19:55:20 +0000
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#16155: Strange moderator address.  [Re: bug#16155: 24.3.50;]
Message-ID: <20131219195520.GB5181@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
 <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
 <20131219180251.GA5181@HIDDEN> <r67gb0hfr2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <r67gb0hfr2.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 16155
Cc: Stefan Monnier <monnier@HIDDEN>, 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

Hi, Glenn.

On Thu, Dec 19, 2013 at 01:12:17PM -0500, Glenn Morris wrote:
> Alan Mackenzie wrote:

> > I merely posted a followup on my ISP's Usenet server.

> Please note that posting bug reports and comments via usenet is
> *strongly discouraged* (by me), and has been for some time. It doesn't
> interact well with debbugs.gnu.org.

As you remark, my NNTP posts don't seem to give debbugs any trouble.
Could it be that this is something which isn't just special to me?

> (Yours somehow seems to work, I have no idea how.)

Perhaps the problem with usenet and debbugs, whatever it was, has been
resolved.

> This is documented in the Emacs manual, the mailing list description,
> etc.

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2013 18:19:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 13:19:38 2013
Received: from localhost ([127.0.0.1]:58909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VtiC9-0006PJ-Db
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:19:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37661)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1VtiC7-0006P7-5k
 for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:19:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VtiC5-0002bA-QO
 for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:19:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.4 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39494)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VtiC5-0002b5-MJ
 for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:19:33 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39369)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VtiC4-0003An-Ft
 for bug-gnu-emacs@HIDDEN; Thu, 19 Dec 2013 13:19:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VtiC3-0002aZ-Dv
 for bug-gnu-emacs@HIDDEN; Thu, 19 Dec 2013 13:19:32 -0500
Received: from four.schnuerpel.eu ([2a01:4f8:120:9382::145]:37276)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VtiC2-0002aV-WF
 for bug-gnu-emacs@HIDDEN; Thu, 19 Dec 2013 13:19:31 -0500
Received: from fencepost.gnu.org (fencepost.gnu.org [IPv6:2001:4830:134:3::e])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested)
 by four.schnuerpel.eu (Postfix) with ESMTPS id 08D9983B
 for <gnu-emacs-bug@HIDDEN>; Thu, 19 Dec 2013 19:19:29 +0100 (CET)
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1VtiBz-00027D-Ak; Thu, 19 Dec 2013 13:19:27 -0500
Date: Thu, 19 Dec 2013 13:19:27 -0500
Message-Id: <E1VtiBz-00027D-Ak@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
In-reply-to: <l8t7i0$1ga3$1@HIDDEN> (message from Alan Mackenzie on Wed, 
 18 Dec 2013 22:28:16 +0000 (UTC))
Subject: Re: bug#16155: 24.3.50;
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

We have not polled the users, so we don't have any real information
about what most users think about it.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 18:12:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 13:12:22 2013
Received: from localhost ([127.0.0.1]:58905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vti58-0006BQ-4c
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:12:22 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:34263)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Vti55-0006BF-Bz
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:12:20 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Vti54-00012i-2F; Thu, 19 Dec 2013 13:12:18 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#16155: Strange moderator address.  [Re: bug#16155: 24.3.50;]
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
 <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
 <20131219180251.GA5181@HIDDEN>
X-Spook: cryptanalysis BROMURE fraud Pine Gap enigma ANZUS ASPIC
X-Ran: KFWk[KAIiio]<MXM-qsum=j3lb.h-"liB^;fu8i8G5<}4/NzU(0xrh[5zWH`V]gv5/nK9?
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 19 Dec 2013 13:12:17 -0500
In-Reply-To: <20131219180251.GA5181@HIDDEN> (Alan Mackenzie's message of
 "Thu, 19 Dec 2013 18:02:51 +0000")
Message-ID: <r67gb0hfr2.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 16155
Cc: Stefan Monnier <monnier@HIDDEN>, 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

Alan Mackenzie wrote:

> I merely posted a followup on my ISP's Usenet server.

Please note that posting bug reports and comments via usenet is
*strongly discouraged* (by me), and has been for some time. It doesn't
interact well with debbugs.gnu.org. (Yours somehow seems to work, I have
no idea how.) This is documented in the Emacs manual, the mailing list
description, etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 18:05:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 13:05:42 2013
Received: from localhost ([127.0.0.1]:58895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vthyg-0005y6-JR
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:05:42 -0500
Received: from colin.muc.de ([193.149.48.1]:17843 helo=mail.muc.de)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1Vthyd-0005xu-Tp
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 13:05:41 -0500
Received: (qmail 18425 invoked by uid 3782); 19 Dec 2013 18:05:38 -0000
Received: from acm.muc.de (p5492C83B.dip0.t-ipconnect.de [84.146.200.59]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Thu, 19 Dec 2013 19:05:37 +0100
Received: (qmail 5228 invoked by uid 1000); 19 Dec 2013 18:02:51 -0000
Date: Thu, 19 Dec 2013 18:02:51 +0000
To: Stefan Monnier <monnier@HIDDEN>
Subject: Strange moderator address.  [Re: bug#16155: 24.3.50;]
Message-ID: <20131219180251.GA5181@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
 <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 16155
Cc: 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

Hi, Stefan.

On Thu, Dec 19, 2013 at 08:31:19AM -0500, Stefan Monnier wrote:
> [ How did you end up with gnu-emacs-bug@HIDDEN in the "To:"
>   field?  ]

I honestly don't know.  I merely posted a followup on my ISP's Usenet
server.  Presumably some NNTP server somewhere along the line has that
address registered as the newgroup's moderation address.

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 17:15:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 12:15:27 2013
Received: from localhost ([127.0.0.1]:58850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VthC2-0004Mf-55
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 12:15:26 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:33163)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VthBz-0004MW-9J
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 12:15:24 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VthBx-0001HJ-PX; Thu, 19 Dec 2013 12:15:21 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
 <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
X-Spook: emc Etacs MIT-LL Lexis-Nexis Juiliett Class Submarine IRA
X-Ran: SC~$s-\*e(Wj#E*~!h0#Y:sm4^<L\Y0Dz0z/AklmPlv++;=KlCl={Cch_!n,o5%F;Y<7~!
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 19 Dec 2013 12:15:21 -0500
In-Reply-To: <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Thu, 19 Dec 2013 08:31:19 -0500")
Message-ID: <fjmwjwyd7a.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 16155
Cc: Alan Mackenzie <acm@HIDDEN>, 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

Stefan Monnier wrote:

> [ How did you end up with gnu-emacs-bug@HIDDEN in the "To:"
>   field?  ]

It's a little annoying from a list moderator point of view, because it
means the messages look like Newsgroup postings, which need to be
manually approved. Alan, it would be helpful if you could post to this
list in a more "standard" fashion. (Gmane.org is great if you prefer a
newsgroup interface.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 19 Dec 2013 13:31:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 08:31:27 2013
Received: from localhost ([127.0.0.1]:58331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VtdhF-0005sE-Ty
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2013 08:31:26 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:59368)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VtdhC-0005s3-2n
 for 16155 <at> debbugs.gnu.org; Thu, 19 Dec 2013 08:31:23 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.DIT.UMontreal.CA (8.14.1/8.14.1) with ESMTP id rBJDVILi025747;
 Thu, 19 Dec 2013 08:31:19 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 4C139AE6B6; Thu, 19 Dec 2013 08:31:19 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
Message-ID: <jwvioulj7fr.fsf-monnier+emacsbugs@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
 <l8t7i0$1ga3$1@HIDDEN>
Date: Thu, 19 Dec 2013 08:31:19 -0500
In-Reply-To: <l8t7i0$1ga3$1@HIDDEN> (Alan Mackenzie's message of "Wed,
 18 Dec 2013 22:28:16 +0000 (UTC)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4797=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4797> : inlines <336> : streams
 <1093430> : uri <1629184>
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 16155
Cc: 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

[ How did you end up with gnu-emacs-bug@HIDDEN in the "To:"
  field?  ]

>>> Again, the question: why should `newline' indent when we've got the
>>> specific command `newline-and-indent'?
>> Because apparently most users like it.  You don't, so turn it off in
>> your ~/.emacs.
> I cannot see how to achieve the result I want by tweaking my .emacs.  What
> I want is this:
> o - with electric-indent-mode enabled.
> o - with ?\n a member of electric-indent-chars.
> o - `newline-and-indent' will indent both the current line and the new line.
> o - `newline' will indent only the current line
> Comments?

Indeed, I don't think you can get the above behavior by "tweaking" your
~/.emacs.  Is the above a new need, or is that a behavior you used to
have, and if so how did you get it before?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Dec 2013 22:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 18 17:28:47 2013
Received: from localhost ([127.0.0.1]:57811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VtPbf-00022f-0J
	for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:28:46 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45334)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <usenet@HIDDEN>) id 1VtPbZ-00022R-JS
 for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:28:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPbT-00083O-0P
 for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:28:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53072)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPbS-00083K-TS
 for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:28:30 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47040)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPbM-0001up-I1
 for bug-gnu-emacs@HIDDEN; Wed, 18 Dec 2013 17:28:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPbG-0007yw-7B
 for bug-gnu-emacs@HIDDEN; Wed, 18 Dec 2013 17:28:24 -0500
Received: from four.schnuerpel.eu ([2a01:4f8:120:9382::145]:54116)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPbG-0007ys-0C
 for bug-gnu-emacs@HIDDEN; Wed, 18 Dec 2013 17:28:18 -0500
Received: from mail.muc.de (colin.muc.de [193.149.48.1])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by moderators.schnuerpel.eu (Postfix) with ESMTPS id 9649A83B
 for <gnu-emacs-bug@HIDDEN>; Wed, 18 Dec 2013 23:28:16 +0100 (CET)
Received: (qmail 49477 invoked by uid 8); 18 Dec 2013 22:28:16 -0000
To: gnu-emacs-bug@HIDDEN
Path: not-for-mail
From: Alan Mackenzie <acm@HIDDEN>
Newsgroups: gnu.emacs.bug
Subject: Re: bug#16155: 24.3.50;
Date: Wed, 18 Dec 2013 22:28:16 +0000 (UTC)
Organization: muc.de e.V.
Lines: 22
Message-ID: <l8t7i0$1ga3$1@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <mailman.9377.1387203628.10748.bug-gnu-emacs@HIDDEN>
NNTP-Posting-Host: news.muc.de
X-Trace: colin.muc.de 1387405696 49475 193.149.48.2 (18 Dec 2013 22:28:16 GMT)
X-Complaints-To: news-admin@HIDDEN
NNTP-Posting-Date: Wed, 18 Dec 2013 22:28:16 +0000 (UTC)
User-Agent: tin/1.9.6-20101126 ("Burnside") (UNIX) (FreeBSD/8.4-RELEASE
 (amd64))
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Stefan Monnier <monnier@HIDDEN> wrote:
>> Again, the question: why should `newline' indent when we've got the specific
>> command `newline-and-indent'?

> Because apparently most users like it.  You don't, so turn it off in
> your ~/.emacs.

I cannot see how to achieve the result I want by tweaking my .emacs.  What
I want is this:

o - with electric-indent-mode enabled.
o - with ?\n a member of electric-indent-chars.
o - `newline-and-indent' will indent both the current line and the new line.
o - `newline' will indent only the current line

Comments?

>        Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Dec 2013 22:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 18 17:16:47 2013
Received: from localhost ([127.0.0.1]:57805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VtPQ6-0001iY-Nv
	for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:16:46 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42892)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <usenet@HIDDEN>) id 1VtPQ5-0001iR-Sc
 for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:16:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPPw-0004FQ-A8
 for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:16:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43282)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPPw-0004FM-7R
 for submit <at> debbugs.gnu.org; Wed, 18 Dec 2013 17:16:36 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44542)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPPo-0003Nt-TL
 for bug-gnu-emacs@HIDDEN; Wed, 18 Dec 2013 17:16:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPPf-0004D5-5Z
 for bug-gnu-emacs@HIDDEN; Wed, 18 Dec 2013 17:16:28 -0500
Received: from moderators.individual.net ([130.133.4.7]:52285)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VtPPe-0004Cr-Vj
 for bug-gnu-emacs@HIDDEN; Wed, 18 Dec 2013 17:16:19 -0500
Received: from colin.muc.de ([193.149.48.1] helo=mail.muc.de)
 by moderators.individual.net (Exim 4.82)
 for gnu-emacs-bug@HIDDEN with esmtp
 (envelope-from <usenet@HIDDEN>)
 id <1VtPPe-0017aS-A3>; Wed, 18 Dec 2013 23:16:18 +0100
Received: (qmail 48046 invoked by uid 8); 18 Dec 2013 22:16:15 -0000
To: gnu-emacs-bug@HIDDEN
Path: not-for-mail
From: Alan Mackenzie <acm@HIDDEN>
Newsgroups: gnu.emacs.bug
Subject: Re: bug#16155: 24.3.50; electric indent gripes
Date: Wed, 18 Dec 2013 22:16:15 +0000 (UTC)
Organization: muc.de e.V.
Lines: 25
Message-ID: <l8t6rf$1e3e$2@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <52AF31F9.7020504@HIDDEN>
 <mailman.9406.1387220358.10748.bug-gnu-emacs@HIDDEN>
NNTP-Posting-Host: news.muc.de
X-Trace: colin.muc.de 1387404975 47214 193.149.48.2 (18 Dec 2013 22:16:15 GMT)
X-Complaints-To: news-admin@HIDDEN
NNTP-Posting-Date: Wed, 18 Dec 2013 22:16:15 +0000 (UTC)
User-Agent: tin/1.9.6-20101126 ("Burnside") (UNIX) (FreeBSD/8.4-RELEASE
 (amd64))
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Stefan,

The thread up to here ran as follows:

>>> Again, the question: why should `newline' indent when we've got the specific
>>> command `newline-and-indent'?
>> Because apparently most users like it.  You don't, so turn it off in
>> your ~/.emacs.

> Stefan, please don't make the basic mistake: users (probably) like
> "pressing RET indents", not "newline command" indents.

Jarek's central point, which you cut in your reply to him, was this:

> If you have the data that most users like "newline command" to indent,
> please show it. It will cut all the discussions. I write it just in case
> you really meant what you wrote, which is unlikely.

Would you please now address this point.  Thanks!

> Jarek

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Dec 2013 00:54:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 19:54:38 2013
Received: from localhost ([127.0.0.1]:56251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vt5PJ-0004Je-Gs
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 19:54:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55687)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt5PH-0004JW-3a
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 19:54:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt5P8-0005I4-Er
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 19:54:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33835)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt5P8-0005I0-Cf
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 19:54:26 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57325)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt5P0-0002pN-PY
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 19:54:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt5Ot-0005Fl-14
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 19:54:18 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:47422 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt5Os-0005Ff-Tx
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 19:54:10 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 7146F207A7; Tue, 17 Dec 2013 19:54:10 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from userp1040.oracle.com (userp1040.oracle.com [156.151.31.81])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 4A92C20462
 for <gnu-emacs-bug@HIDDEN>; Tue, 17 Dec 2013 19:54:10 -0500 (EST)
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 rBI0s2Jb000471
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 18 Dec 2013 00:54:03 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id rBI0s1Pu005927
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Wed, 18 Dec 2013 00:54:02 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id rBI0s1GG012407;
 Wed, 18 Dec 2013 00:54:01 GMT
MIME-Version: 1.0
Message-ID: <13d75185-288f-4b71-bb80-e5af13a7f8c6@default>
Date: Tue, 17 Dec 2013 16:54:00 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: RE: bug#16155: 24.3.50;
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
 <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
In-Reply-To: <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, Alan Mackenzie <acm@HIDDEN>, rms@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

> > And yet none of that data (however flakey or incomplete) was
> > considered in deciding to make this change in default behavior.
>=20
> To be fair, this was debated at some length[0] and presumably
> decided a couple of months ago, well before that data became
> available.
>=20
> [0] https://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00407.html

"To be fair", I already said that this was decided before
that poll was taken.  That was the main point: it was decided
without benefit of any poll or automatically gathered data.

If it had been decided after the wiki "poll", my guess is
that there would be even fewer than 10% of the users reporting
there that they use `electric-indent-mode'.  Since this has
been turned on by default for the duration of that "poll",
one would expect more people to report it being (left) on.
(Of course, many users do not use development builds, which
works in the other direction.)

But it's not too late to solicit user input and take it into
account, as Richard pointed out.

FWIW, I read (and participated in) the thread you cite.  In
particular, I mentioned then that there is a use for a
simple just-insert-a-newline key binding, regardless of which
key that might be.  (Some had suggested that there was no
need for this.)  I said that I do sometimes use only `RET'
(now it is `C-j'), to just insert a newline.  (Why that use
case was not obvious to some people, I don't know.)

I disagree with the need for this default key swap, and the
possible benefit to Emacs from it.  But I do not feel strongly
about that at all, as I said in that thread.  It's not a big
deal for a user to turn the mode off.

I feel somewhat more strongly that the process followed is
not the best one (insufficient attention to users - and not
just emacs-devel readers).  And I feel more strongly that the
change is not well documented.  That is the thing to correct,
at this point.  That, and trying better wrt the process.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Dec 2013 23:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 18:14:45 2013
Received: from localhost ([127.0.0.1]:56204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vt3qf-0001V4-7Z
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 18:14:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36628)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1Vt3qd-0001Uw-8i
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 18:14:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1Vt3qX-0002tl-W3
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 18:14:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43958)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1Vt3qX-0002th-TA
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 18:14:37 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38301)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1Vt3qT-0003I2-2R
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 18:14:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1Vt3qM-0002r1-AA
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 18:14:33 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:47392 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlf@HIDDEN>) id 1Vt3qM-0002qq-6v
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 18:14:26 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 9E010207A7; Tue, 17 Dec 2013 18:14:25 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from mail-pb0-f51.google.com (mail-pb0-f51.google.com
 [209.85.160.51])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 6E9C71EECD
 for <gnu-emacs-bug@HIDDEN>; Tue, 17 Dec 2013 18:14:25 -0500 (EST)
Received: by mail-pb0-f51.google.com with SMTP id up15so7662330pbc.10
 for <gnu-emacs-bug@HIDDEN>; Tue, 17 Dec 2013 15:14:24 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=SVpG+HQqmqdEBfC9bWtqRyiP+Gg8TSXXQBAiEqmRMHk=;
 b=HVJ2Km/TrZ8y0hsC1cL6fsJKE/6Mksa++T0zGVRhFmcp0bzr5a3pMKjXIZ0hWanpV7
 eK1tkVlPKURiiMUZpBKGxkEQHcSD39/3sEDlqzL0/Z5CJPBHRhVG6lYucvnrq4LpLJ4s
 OCXn2jWn4puwfx6PYL3M6BazuDKAEPxSAdEPlP2Ssh198anpoQGYrM2OzDTnpRg4SJj4
 C3lBnTfgteVyjrj+T6lrZIYGGmIT2ip95y3WKcDQf4lEweWObWs9l7GVA20bIXJL+wgm
 MgIdQjVVRIjIZebaIEG+Id2gyjXcF8mzGmKzh/ybyVUATdLJrDGF7ttrUfl+dLQtZKHB
 Ka+g==
X-Gm-Message-State: ALoCoQlkB+7PQx0Tb2KOqV0OMhIzoFz1rIdPAx1LpF//9X7LU89U+DyVgCKYZEUz6HUBsjYeeusk
X-Received: by 10.68.34.37 with SMTP id w5mr29894258pbi.159.1387322064842;
 Tue, 17 Dec 2013 15:14:24 -0800 (PST)
MIME-Version: 1.0
Received: by 10.70.3.161 with HTTP; Tue, 17 Dec 2013 15:13:54 -0800 (PST)
In-Reply-To: <749544c4-49e7-462f-b64c-26725cf35a59@default>
References: <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <749544c4-49e7-462f-b64c-26725cf35a59@default>
From: Josh <josh@HIDDEN>
Date: Tue, 17 Dec 2013 15:13:54 -0800
X-Google-Sender-Auth: 0rINnyKlZ44xudfGlKw1x6g0i_0
Message-ID: <CANdFEAFt4sSGJ1DrSRNq=MaYYXVMa5rOrSzE4CbZ7YSshHfwFQ@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
To: Drew Adams <drew.adams@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, Alan Mackenzie <acm@HIDDEN>, rms@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Tue, Dec 17, 2013 at 2:39 PM, Drew Adams <drew.adams@HIDDEN> wrote:
> And yet none of that data (however flakey or incomplete) was
> considered in deciding to make this change in default behavior.
> Whyzat?

To be fair, this was debated at some length[0] and presumably
decided a couple of months ago, well before that data became
available.

[0] https://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00407.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Dec 2013 22:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 17:40:31 2013
Received: from localhost ([127.0.0.1]:56183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vt3JW-0000Yo-C0
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 17:40:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56731)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt3JT-0000Ye-Jp
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 17:40:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt3JK-0001A2-GA
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 17:40:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49834)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt3JK-00019y-DJ
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 17:40:18 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58394)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt3JC-00058u-9F
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 17:40:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt3J4-0000vP-BZ
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 17:40:10 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:47372 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Vt3J4-0000tf-7w
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 17:40:02 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 44F30207A7; Tue, 17 Dec 2013 17:40:01 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from aserp1040.oracle.com (aserp1040.oracle.com [141.146.126.69])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 258571F386
 for <gnu-emacs-bug@HIDDEN>; Tue, 17 Dec 2013 17:40:00 -0500 (EST)
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 rBHMdu3c001285
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 17 Dec 2013 22:39:56 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id rBHMds07019010
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Tue, 17 Dec 2013 22:39:55 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id rBHMdrLa024973;
 Tue, 17 Dec 2013 22:39:53 GMT
MIME-Version: 1.0
Message-ID: <749544c4-49e7-462f-b64c-26725cf35a59@default>
Date: Tue, 17 Dec 2013 14:39:53 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: rms@HIDDEN, Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#16155: 24.3.50;
References: <<E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>	<jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>>
 <<E1VssEJ-0000fE-Ii@HIDDEN>>
In-Reply-To: <<E1VssEJ-0000fE-Ii@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, acm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

> Was a proper poll of users ever conducted?  I don't think so.
> The first pretest would be a good opportunity to do that.

+1

I just picked up a new development build, where `electric-indent-mode'
is enabled by default.  FWIW, I'm afraid I'm with Alan and Jarek (and
RMS?) on this: I have turned it off.  In `emacs-lisp-mode', especially,
I want `C-j' to do `newline-and-indent', and I want `RET' to do only
`newline'.

As for the documentation in NEWS: This is all there is:

   `electric-indent-mode' is enabled by default.

I was looking for something about `newline' or `C-j' or `RET' in
programming modes (lisp modes, in particular), so I didn't find this
entry right away.  I suggest that you (a) explain this a little more
and (b) make it easier to find.

Mention, for example, that `C-j' and `RET' are, in effect, swapped
now from what they have always been.  At least that is true as a
first approximation - I have no idea what other "interesting" changes
this change in default behavior brings about.  And I won't bother
to find out - I just added this to my init file:

 (when (fboundp 'electric-indent-mode) (electric-indent-mode -1))

---

It's interesting that a giant brouhaha was made about seeing what
changes users might want, to existing defaults, by: (a) checking
the features and modes reported automatically in bug reports and
(b) initiating a user poll on Emacs Wiki.

And yet none of that data (however flakey or incomplete) was
considered in deciding to make this change in default behavior.
Whyzat?

How many users actually reported (measured any way you like) that
they wanted the default behavior to change to what you've changed
it to?  Well, we cannot really count the Emacs Wiki poll, because
it was taken after you changed the default!  Even so, only 10%
(12 people) reported there that they use it - even though it is
now the default!

http://www.emacswiki.org/emacs/FrequentlyEnabledPackages_Emacs244_Survey_Re=
sults

No, the Emacs Wiki poll is not a great poll.  But do tell:
Among the bug reports received before you changed the default
value, how many users actually had `electric-indent-mode'
turned on?  Just curious.

Anyway, you decided - end of story.  Not a big deal -
just one more.  I've updated my init file to compensate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Dec 2013 10:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 05:50:50 2013
Received: from localhost ([127.0.0.1]:54996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VssEk-0004cT-H3
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 05:50:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39741)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1VssEi-0004cJ-OR
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 05:50:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VssEc-0001kb-CF
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 05:50:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.4 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36480)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VssEc-0001kR-98
 for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 05:50:42 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41351)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VssEW-0000Dw-7a
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 05:50:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VssEL-0001e7-QM
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 05:50:36 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:47099 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VssEL-0001dx-Jy
 for bug-gnu-emacs@HIDDEN; Tue, 17 Dec 2013 05:50:25 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 3382320462; Tue, 17 Dec 2013 05:50:25 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from fencepost.gnu.org (fencepost.gnu.org [208.118.235.10])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 2BDF31EF42
 for <gnu-emacs-bug@HIDDEN>; Tue, 17 Dec 2013 05:50:25 -0500 (EST)
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1VssEJ-0000fE-Ii; Tue, 17 Dec 2013 05:50:23 -0500
Date: Tue, 17 Dec 2013 05:50:23 -0500
Message-Id: <E1VssEJ-0000fE-Ii@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Mon, 16 Dec 2013 09:19:24 -0500)
Subject: Re: bug#16155: 24.3.50;
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN, acm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Was a proper poll of users ever conducted?
I don't think so.

The first pretest would be a good opportunity to do that.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 16 Dec 2013 18:58:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 16 13:58:30 2013
Received: from localhost ([127.0.0.1]:54361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsdN8-0008Pa-LG
	for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 13:58:30 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:56358)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VsdN6-0008PQ-73
 for 16155 <at> debbugs.gnu.org; Mon, 16 Dec 2013 13:58:29 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id rBGIwOeN005619;
 Mon, 16 Dec 2013 13:58:25 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 21612AE2BE; Mon, 16 Dec 2013 13:58:24 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Jarek Czekalski <jarekczek@HIDDEN>
Subject: Re: bug#16155: 24.3.50; electric indent gripes
Message-ID: <jwvvbyor5cq.fsf-monnier+emacsbugs@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
 <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
 <52AF31F9.7020504@HIDDEN>
Date: Mon, 16 Dec 2013 13:58:24 -0500
In-Reply-To: <52AF31F9.7020504@HIDDEN> (Jarek Czekalski's message of
 "Mon, 16 Dec 2013 18:01:45 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4794=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4794> : inlines <329> : streams
 <1091805> : uri <1625928>
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 16155
Cc: 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

> About turning it off: it was also asked for. The docs should guide to the
> place describing how to turn it off. I don't know how to turn it off, but
> I wait patiently. It must appear on the group sooner or later.

Remove ?\n from electric-indent-chars.
I.e.

  (setq-default electric-indent-chars nil)


-- Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 16 Dec 2013 17:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 16 12:01:54 2013
Received: from localhost ([127.0.0.1]:54193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsbYH-0004zZ-M1
	for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 12:01:53 -0500
Received: from smtpo11.poczta.onet.pl ([213.180.142.142]:55221)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jarekczek@HIDDEN>) id 1VsbYE-0004zM-ST
 for 16155 <at> debbugs.gnu.org; Mon, 16 Dec 2013 12:01:52 -0500
Received: from [192.168.17.9] (cj.e-siemianowice.pl [95.215.234.30])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jarekczek@HIDDEN)
 by smtp.poczta.onet.pl (Onet) with ESMTPSA id 3djpg15zhPz9ttbl
 for <16155 <at> debbugs.gnu.org>; Mon, 16 Dec 2013 18:01:49 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=poczta.onet.pl;
 s=2011; t=1387213309;
 bh=9s52mWsGkV0HSaGy1C8YBS0Gh1DGI3NRP9IOUE+pDig=;
 h=Message-ID:Date:From:MIME-Version:To:Subject:References:
 In-Reply-To:Content-Type:Content-Transfer-Encoding;
 b=nzCtKMjPQxSyOpsCPv6NK1bhpOFwxvsK46DWujqdoRT7JQc6IXjBagxWAqJ2iyg98
 tnpFMNSmpm0aFi1hhPv5O8LUSwub4c8OE934oibl6TfgeJdywBlv7d0eB3qp2J6JLb
 Jl2H8bUZs/UfKvwtDSUdlXrXHElvjOi6ADdUfK1g=
Message-ID: <52AF31F9.7020504@HIDDEN>
Date: Mon, 16 Dec 2013 18:01:45 +0100
From: Jarek Czekalski <jarekczek@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:15.0) Gecko/20120824 Thunderbird/15.0
MIME-Version: 1.0
To: 16155 <at> debbugs.gnu.org
Subject: Re: bug#16155: 24.3.50; electric indent gripes
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN> <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 16155
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


W dniu 2013-12-16 15:19, Stefan Monnier pisze:
>> Again, the question: why should `newline' indent when we've got the specific
>> command `newline-and-indent'?
> Because apparently most users like it.  You don't, so turn it off in
> your ~/.emacs.

Stefan, please don't make the basic mistake: users (probably) like 
"pressing RET indents", not "newline command" indents.

If you have the data that most users like "newline command" to indent, 
please show it. It will cut all the discussions. I write it just in case 
you really meant what you wrote, which is unlikely.

About turning it off: it was also asked for. The docs should guide to 
the place describing how to turn it off. I don't know how to turn it 
off, but I wait patiently. It must appear on the group sooner or later.

Jarek





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2013 14:19:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 16 09:19:56 2013
Received: from localhost ([127.0.0.1]:53256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsZ1X-0007TZ-Uk
	for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 09:19:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42991)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VsZ1W-0007TN-OH
 for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 09:19:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VsZ1M-0004xI-HR
 for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 09:19:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53642)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VsZ1M-0004xE-DK
 for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 09:19:44 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44631)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VsZ1E-0008KO-9D
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 09:19:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VsZ16-0004uL-78
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 09:19:36 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:46656 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VsZ16-0004uF-4I
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 09:19:28 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 2DA4820462; Mon, 16 Dec 2013 09:19:27 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from chene.dit.umontreal.ca (chene.dit.umontreal.ca [132.204.246.20])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 01B791F518
 for <gnu-emacs-bug@HIDDEN>; Mon, 16 Dec 2013 09:19:26 -0500 (EST)
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id rBGEJOgu020400;
 Mon, 16 Dec 2013 09:19:25 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 67470AE2BE; Mon, 16 Dec 2013 09:19:24 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
Message-ID: <jwv61qoubgi.fsf-monnier+emacsbugs@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
Date: Mon, 16 Dec 2013 09:19:24 -0500
In-Reply-To: <l8l1qp$2783$1@HIDDEN> (Alan Mackenzie's message of "Sun,
 15 Dec 2013 20:01:29 +0000 (UTC)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4794=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4794> : inlines <327> : streams
 <1091721> : uri <1625727>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: gnu-emacs-bug@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

>> It is a minor mode.  Called electric-indent-mode, and no enabled by default.
                                                         ^^
                                                         now
>> See NEWS.

> electric-indent-mode _is_ enabled by default in the current trunk.

Indeed, as mentioned in NEWS.

> Again, the question: why should `newline' indent when we've got the specific
> command `newline-and-indent'?

Because apparently most users like it.  You don't, so turn it off in
your ~/.emacs.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 15 Dec 2013 20:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 15:38:02 2013
Received: from localhost ([127.0.0.1]:52103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsIRt-0000Oq-Tq
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 15:38:02 -0500
Received: from smtpo15.poczta.onet.pl ([213.180.142.146]:54916)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jarekczek@HIDDEN>) id 1VsIRr-0000Od-5s
 for 16155 <at> debbugs.gnu.org; Sun, 15 Dec 2013 15:38:00 -0500
Received: from [192.168.17.9] (cj.e-siemianowice.pl [95.215.234.30])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jarekczek@HIDDEN)
 by smtp.poczta.onet.pl (Onet) with ESMTPSA id 3djHVt1yKQzZCDk3
 for <16155 <at> debbugs.gnu.org>; Sun, 15 Dec 2013 21:37:57 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=poczta.onet.pl;
 s=2011; t=1387139878;
 bh=qHXyEFfqHGbvq8mp9SnUM7/3tSzSWVORWoCMzHJN0v0=;
 h=Message-ID:Date:From:MIME-Version:To:Subject:References:
 In-Reply-To:Content-Type:Content-Transfer-Encoding;
 b=D0KPkTou8yOuCUcpWRQufTYHgQe/pnqfAbOltqAJSVfo9AmTrIPNgCmNEF65gHqib
 Kp4lL+obXlLEQLmz8F/IYCNvfNSH9R3XHS1sWc2X3xSo2kZL6OqIKeIhl4flCEdoIU
 6o5N/+k6RT+/kuYxpeZIjvm+kVw/svoJKXBvErGc=
Message-ID: <52AE1325.4080505@HIDDEN>
Date: Sun, 15 Dec 2013 21:37:57 +0100
From: Jarek Czekalski <jarekczek@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:15.0) Gecko/20120824 Thunderbird/15.0
MIME-Version: 1.0
To: 16155 <at> debbugs.gnu.org
Subject: Re: bug#16155: 24.3.50;
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
 <l8l1qp$2783$1@HIDDEN>
In-Reply-To: <l8l1qp$2783$1@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 16155
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

We had a lot of reading in the subject, some links in my bug report 
which was resolved with this additional doc string:

24.3.50; newline indents in shell script mode
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16015#11

Jarek





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2013 20:01:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 15:01:52 2013
Received: from localhost ([127.0.0.1]:52062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsHst-0006kV-DO
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 15:01:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53919)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <usenet@HIDDEN>) id 1VsHsq-0006kL-MB
 for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 15:01:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VsHsl-0007nv-6V
 for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 15:01:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37718)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VsHsl-0007nr-3o
 for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 15:01:43 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55607)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VsHsg-00009f-3K
 for bug-gnu-emacs@HIDDEN; Sun, 15 Dec 2013 15:01:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VsHsa-0007mJ-Pr
 for bug-gnu-emacs@HIDDEN; Sun, 15 Dec 2013 15:01:38 -0500
Received: from xvm-90.mit.edu ([18.181.2.90]:46306 helo=mod-relay.xvm.mit.edu)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <usenet@HIDDEN>) id 1VsHsa-0007lJ-MV
 for bug-gnu-emacs@HIDDEN; Sun, 15 Dec 2013 15:01:32 -0500
Received: by mod-relay.xvm.mit.edu (Postfix)
 id 923181F386; Sun, 15 Dec 2013 15:01:31 -0500 (EST)
Delivered-To: gnu-emacs-bug@HIDDEN
Received: from mail.muc.de (colin.muc.de [193.149.48.1])
 by mod-relay.xvm.mit.edu (Postfix) with ESMTP id 3390C1F1BC
 for <gnu-emacs-bug@HIDDEN>; Sun, 15 Dec 2013 15:01:30 -0500 (EST)
Received: (qmail 72965 invoked by uid 8); 15 Dec 2013 20:01:29 -0000
To: gnu-emacs-bug@HIDDEN
Path: not-for-mail
From: Alan Mackenzie <acm@HIDDEN>
Newsgroups: gnu.emacs.bug
Subject: Re: bug#16155: 24.3.50;
Date: Sun, 15 Dec 2013 20:01:29 +0000 (UTC)
Organization: muc.de e.V.
Lines: 48
Message-ID: <l8l1qp$2783$1@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <mailman.9297.1387112779.10748.bug-gnu-emacs@HIDDEN>
NNTP-Posting-Host: news.muc.de
X-Trace: colin.muc.de 1387137689 72963 193.149.48.2 (15 Dec 2013 20:01:29 GMT)
X-Complaints-To: news-admin@HIDDEN
NNTP-Posting-Date: Sun, 15 Dec 2013 20:01:29 +0000 (UTC)
User-Agent: tin/1.9.6-20101126 ("Burnside") (UNIX) (FreeBSD/8.4-RELEASE
 (amd64))
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Stefan Monnier <monnier@HIDDEN> wrote:
> Richard Stallman <rms@HIDDEN> wrote:
>> I don't ever like having newline indent.

I agree.  `newline' should never indent the new line.  `newline-and-indent'
should always indent the new line.

>> It should be a minor mode,

> It is a minor mode.  Called electric-indent-mode, and no enabled by default.
> See NEWS.

electric-indent-mode _is_ enabled by default in the current trunk.  I've
just updated, built, and tried it.

>> and the documentation of `newline' should explain how to easily turn
>> this off.

> The docstring does mention the indentation behavior, with a link to
> electric-indent-mode.

What the docstring says is this:

    A non-nil INTERACTIVE argument means to run the `post-self-insert-hook',
    which by default will also indent the line (see `electric-indent-mode').

Presumably the invocation of `newline' by pressing the RET key leaves
INTERACTIVE set to nil.  Nevertheless, the unwanted indentation happened.

This is bad documentation, since it describes the internal workings rather
than the coherent functionality.  As a user of `newline', I shouldn't have
to know about `post-self-insert-hook', never mind having to try to figure
out which way to set INTERACTIVE.

I can't make out what that bit of the doc string means without a
considerable investment of intellectual effort.

Again, the question: why should `newline' indent when we've got the specific
command `newline-and-indent'?  I think a good way to resolve the current
confusion would be to restrict electric-indent-mode to indenting ONLY the
line in which the character is typed, and leaving the indentation of any
new line to `newline-and-indent'.

>        Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.
Changed bug title to 'electric indent gripes' from '24.3.50; ' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 15 Dec 2013 19:50:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 14:50:26 2013
Received: from localhost ([127.0.0.1]:52042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsHhq-0005Hw-5q
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 14:50:26 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52057)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1VsHho-0005Ho-58
 for 16155 <at> debbugs.gnu.org; Sun, 15 Dec 2013 14:50:24 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1VsHhn-00022b-MJ; Sun, 15 Dec 2013 14:50:23 -0500
Date: Sun, 15 Dec 2013 14:50:23 -0500
Message-Id: <E1VsHhn-00022b-MJ@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwv7gb6w9io.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Sun, 15 Dec 2013 08:05:39 -0500)
Subject: Re: bug#16155: 24.3.50;
References: <E1VsAAu-0005lV-5P@HIDDEN>
 <jwv7gb6w9io.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 16155
Cc: 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.5 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    > and the documentation of `newline' should explain how to easily turn
    > this off.

    The docstring does mention the indentation behavior, with a link to
    electric-indent-mode.

I see it does -- but I did not notice that part when I looked at it.
It doesn't clearly tell people what to do to avoid this.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.
Merged 16155 16156. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16155 <at> debbugs.gnu.org:


Received: (at 16155) by debbugs.gnu.org; 15 Dec 2013 13:05:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 08:05:46 2013
Received: from localhost ([127.0.0.1]:50915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsBOE-0001sb-H7
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 08:05:46 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:37886)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VsBOB-0001sM-Lw
 for 16155 <at> debbugs.gnu.org; Sun, 15 Dec 2013 08:05:44 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.DIT.UMontreal.CA (8.14.1/8.14.1) with ESMTP id rBFD5dkx005284;
 Sun, 15 Dec 2013 08:05:40 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id D1EC9AE358; Sun, 15 Dec 2013 08:05:39 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#16155: 24.3.50;
Message-ID: <jwv7gb6w9io.fsf-monnier+emacsbugs@HIDDEN>
References: <E1VsAAu-0005lV-5P@HIDDEN>
Date: Sun, 15 Dec 2013 08:05:39 -0500
In-Reply-To: <E1VsAAu-0005lV-5P@HIDDEN> (Richard Stallman's message
 of "Sun, 15 Dec 2013 06:47:56 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4793=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4793> : inlines <324> : streams
 <1091245> : uri <1624681>
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 16155
Cc: 16155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

> I don't ever like having newline indent.  It should be a minor mode,

It is a minor mode.  Called electric-indent-mode, and no enabled by default.
See NEWS.

> and the documentation of `newline' should explain how to easily turn
> this off.

The docstring does mention the indentation behavior, with a link to
electric-indent-mode.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2013 11:48:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 06:48:06 2013
Received: from localhost ([127.0.0.1]:50840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsAB4-00079h-14
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 06:48:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37118)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1VsAAz-00079E-Rp
 for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 06:48:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VsAAy-00025F-6N
 for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 06:48:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45649)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VsAAy-00025B-3h
 for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 06:48:00 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38822)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VsAAw-0003mq-Oe
 for bug-gnu-emacs@HIDDEN; Sun, 15 Dec 2013 06:48:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1VsAAv-00024l-F7
 for bug-gnu-emacs@HIDDEN; Sun, 15 Dec 2013 06:47:58 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45718)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1VsAAv-00024h-CN
 for bug-gnu-emacs@HIDDEN; Sun, 15 Dec 2013 06:47:57 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1VsAAu-0005lV-5P; Sun, 15 Dec 2013 06:47:56 -0500
Date: Sun, 15 Dec 2013 06:47:56 -0500
Message-Id: <E1VsAAu-0005lV-5P@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; 
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


In text mode, if the buffer contains
-----------------------------------------
foo

   bar

-----------------------------------------

and point is at the end of the line, and I type RET,
it indents the following line.

I don't ever like having newline indent.  It should be a minor mode,
and the documentation of `newline' should explain how to easily turn
this off.

However, in this case with the blank line after `bar', it is even less
likely to be desirable to indent the new line like `bar'.


In GNU Emacs 24.3.50.18 (mips64el-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2013-12-14 on chiefs-gnewsense
Bzr revision: 115526 tzz@HIDDEN
System Description:	gNewSense GNU/Linux 3.0 (parkes)

Configured using:
 `configure 'CFLAGS=-g -O0''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n C-p C-p C-p C-@ C-u C-n 
ESC e c ESC , RET RET ESC \ N o , SPC I t h i n k SPC 
C-u C-b C-b C-b SPC C-h f n w DEL e w l i n e RET C-e 
y o u SPC h v e SPC DEL DEL DEL a v e SPC m i s C-a 
C-k I n d e e d , SPC i t SPC i s n ' t SPC a SPC c 
o p i e r . SPC SPC C-a ESC f ESC f ESC DEL t h a t 
C-e H o w e v e r , SPC w h a t ' s SPC r e l e v a 
n t SPC t o SPC t h i s SPC i s s u e RET i s SPC t 
h a t SPC c o m p u t e r s SPC c a n SPC c o p y SPC 
p r o g r a m s . SPC SPC D i f f e r e n t i a t i 
o n SPC i s n ' t SPC r e a DEL l e v a SPC t DEL DEL 
n t . RET C-c C-c C-x 1 C-a C-u C-v C-u C-v C-u C-v 
C-u C-v n d d d d d d d C-x C-f f o o f o . t x t RET 
f o o SPC b a r RET SPC SPC SPC l o s e RET ESC x b 
u g SPC ESC DEL r e p o r t SPC e m a c s SPC b u g 
RET

Recent messages:
Wrote /home/rms/outgoing/out-36
Sending...done
Quit
Mark set [2 times]
Type "q" in help window to restore its previous buffer.
Auto-saving...
Sending...
Wrote /home/rms/outgoing/out-37
Sending...done
(New file)

Load-path shadows:
/home/rms/emacs-bzr/trunk/lisp/leim/quail/lao hides /home/rms/emacs-bzr/trunk/lisp/language/lao
/home/rms/emacs-bzr/trunk/lisp/leim/quail/georgian hides /home/rms/emacs-bzr/trunk/lisp/language/georgian
/home/rms/emacs-bzr/trunk/lisp/leim/quail/thai hides /home/rms/emacs-bzr/trunk/lisp/language/thai
/home/rms/emacs-bzr/trunk/lisp/leim/quail/ethiopic hides /home/rms/emacs-bzr/trunk/lisp/language/ethiopic
/home/rms/emacs-bzr/trunk/lisp/leim/quail/japanese hides /home/rms/emacs-bzr/trunk/lisp/language/japanese
/home/rms/emacs-bzr/trunk/lisp/leim/quail/cyrillic hides /home/rms/emacs-bzr/trunk/lisp/language/cyrillic
/home/rms/emacs-bzr/trunk/lisp/leim/quail/indian hides /home/rms/emacs-bzr/trunk/lisp/language/indian
/home/rms/emacs-bzr/trunk/lisp/leim/quail/hebrew hides /home/rms/emacs-bzr/trunk/lisp/language/hebrew
/home/rms/emacs-bzr/trunk/lisp/leim/quail/greek hides /home/rms/emacs-bzr/trunk/lisp/language/greek
/home/rms/emacs-bzr/trunk/lisp/leim/quail/czech hides /home/rms/emacs-bzr/trunk/lisp/language/czech
/home/rms/emacs-bzr/trunk/lisp/leim/quail/slovak hides /home/rms/emacs-bzr/trunk/lisp/language/slovak
/home/rms/emacs-bzr/trunk/lisp/leim/quail/tibetan hides /home/rms/emacs-bzr/trunk/lisp/language/tibetan

Features:
(shadow emacsbug help-mode misearch multi-isearch epa-mail epa derived
epg epg-config shell pcomplete grep compile comint ansi-color ring
mailalias qp rmailmm message sendmail format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils mailheader
mail-parse rfc2231 dired t-mouse package rmailedit rmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date paren
cus-start cus-load advice help-fns tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)
[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]


-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Acknowledgement sent to rms@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16155; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.